apptainer(1)

NAME

apptainer-oci-run - Create/start/attach/delete a container from a bundle directory (root user only)

SYNOPSIS

apptainer oci run -b [run options...]

DESCRIPTION

Run will invoke equivalent of create/start/attach/delete commands in a row.

OPTIONS

-b, --bundle=""
    specify the OCI bundle path (required)

-h, --help[=false]
    help for run

--log-format="kubernetes"
    specify the log file format. Available formats are basic, kubernetes and json

-l, --log-path=""
    specify the log file path

--pid-file=""
    specify the pid file

-s, --sync-socket=""
    specify the path to unix socket for state synchronization

EXAMPLE
      $ apptainer oci run -b ~/bundle mycontainer
      is equivalent to :
      $ apptainer oci create -b ~/bundle mycontainer
      $ apptainer oci start mycontainer
      $ apptainer oci attach mycontainer
      $ apptainer oci delete mycontainer

SEE ALSO

apptainer-oci(1)

HISTORY

16-Dec-2024 Auto generated by spf13/cobra